<?xml version="1.0" encoding="UTF-8"?>
<routes xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Webapi:etc/webapi.xsd">
    <route method="POST" url="/V1/filoblu-rma/changesize">
        <service class="FiloBlu\Rma\Api\ChangeSizeInterface" method="getSizes"/>
        <resources>
            <resource ref="anonymous"/>
        </resources>
    </route>
    <route method="POST" url="/V1/filoblu-rma/getlabel">
        <service class="FiloBlu\Rma\Api\ChangeSizeInterface" method="getLabel"/>
        <resources>
            <resource ref="anonymous"/>
        </resources>
    </route>
    <route method="POST" url="/V1/filoblu-rma/getChangeSizeEnabledProducts">
        <service class="FiloBlu\Rma\Api\ChangeSizeInterface" method="getChangeSizeEnabledProducts"/>
        <resources>
            <resource ref="anonymous"/>
        </resources>
    </route>
    <route url="/V1/filoblu-rma/returnsAttributeWithAlternativesMetadata/itemId/:itemId/qty/:qty" method="GET">
        <service class="FiloBlu\Rma\Api\ChangeSizeInterface" method="getAllAttributesWithAlternativesMetadata"/>
        <resources>
            <resource ref="anonymous"/>
        </resources>
    </route>
    <route method="POST" url="/V1/filoblu-rma/estimatereturnshippingcost">
        <service class="FiloBlu\Rma\Api\Data\EasyReturnInterface" method="estimateReturnShippingCost"/>
        <resources>
            <resource ref="anonymous"/>
        </resources>
    </route>
    <route method="GET" url="/V1/filoblu-rma/getReturnableItems/:orderId">
        <service class="FiloBlu\Rma\Api\RmaManagementInterface" method="getReturnableItems"/>
        <resources>
            <resource ref="anonymous"/>
        </resources>
    </route>
    <route method="POST" url="/V1/filoblu-rma/getreturntypes">
        <service class="FiloBlu\Rma\Api\RmaManagementInterface" method="getReturnTypes"/>
        <resources>
            <resource ref="anonymous"/>
        </resources>
    </route>
</routes>
